## Hypercore Protocol in Python

> https://hypercore-protocol.org

A prole-to-prole implementation for the ones who write Python.

### Progress

- [ ] [simple-message-channels](https://github.com/Hyperpy/simple-message-channels)
- [x] [pyvarint](https://github.com/Hyperpy/pyvarint)
- [x] [hypercore-crypto](https://github.com/Hyperpy/hypercore-crypto)
- [x] [merkle-tree-stream](https://github.com/Hyperpy/merkle-tree-stream)
- [x] [flat-tree](https://github.com/Hyperpy/flat-tree)

### How to Help

1. Look at [this](https://datcxx.github.io/hypercore.svg) image of the Hypercore dependency graph and pick a module that is not already implemented. You can see the latest Python work at [github.com/hyperpy](https://github.com/hyperpy).
1. Implement the module! You can use [this package cookiecutter](https://git.autonomic.zone/decentral1se/pypkgtemplate) to get started fast and use the same configuration as the other modules. If you need help from the Nodejs side, you can join [their Discord channels](https://discord.com/invite/ga5hxGf), they are a friendly bunch.

If you're not sure how to start, [come chat with us](#get-in-touch).

### Get in Touch

We're lurking in a few places...

- `#hyperpy` on [cabal.chat](https://cabal.chat/)
- `#hyperpy:autonomic.zone` on [matrix](https://riot.im/app/)
- `#hyperpy` on [freenode](https://webchat.freenode.net/)

### Other Implementations

- [datrs](https://github.com/datrs/)
- [datcxx](https://datcxx.github.io/)
